Jetpack 6.3.2: Simple Payment Widget Fix

Jetpack 6.3.2 is now available for download. This point fix addresses a fatal bug affecting all sites using PHP 5.3 and below.

For those keeping track, Jetpack 6.3.1 technically exists, but was never officially released. 6.3.2 is the latest and recommended version.

For this point release, we fixed a compatibility issue with the Simple Payment Widget, released yesterday, with PHP versions 5.3 and below. Initially this widget caused fatal errors upon activation.

The full changelog has more details on this update, and we’re able to answer questions via our support channels.

Thanks for your support!

This entry was posted in Releases and tagged , , . Bookmark the permalink.

Explore the benefits of Jetpack plans

Compare plans in detail to see how Jetpack can help you design, market, and secure your WordPress site.

Compare plans

Have a question about this article?

Comments are currently closed for this article, but rest assured we're still here to help! Send us a message and we'll get back to you.

Contact us

Comments

  1. taupecat says:

    This broke my site. On _two_ of my multisite network’s subsites, it’s causing a fatal PHP error (but weirdly, not on the rest, even though it’s network activated).

    I get this error: PHP message: PHP Fatal error: Uncaught Error: Class ‘Jetpack_Simple_Payments’ not found in /var/www/wordpress/wp-content/plugins/jetpack/modules/widgets/simple-payments.php:479

    Googling that only found other sites that at some point were also getting that error.

    Having to downgrade back to 6.2.1.

    Running PHP 7.0.30 and nginx 1.10.3 with the latest WordPress.

    Liked by 1 person

  • Enter your email address to follow this blog and receive news and updates from Jetpack!

    Join 103,750 other followers

  • Our most popular posts

  • Browse by topic

  • %d bloggers like this: